#ifndef _NET_PROTOCOL_H
#define _NET_PROTOCOL_H


#if defined(__cplusplus) /* If this is a C++ compiler, use C linkage */
extern "C"
{
#endif

#define TSL_FACE_DATA_URL           "FaceDataUrl"
#define TSL_SYNC_EVENTS             "syncEvents"

/**
 * 发送数据一致性事件
 */
void _send_checksum_event
(
    int code,
    char *puserInfoCheckSum,
    char *ppictureCheckSum,
    char *pfeatureCheckSum,
    long long timestamp_ms
);

//异步同步底库
int async_face(const char *request, const int request_len);

//上报识别结果。
int upload_match_result(const linkface_match_result *result);

//获取端侧底库版本信息.
int query_facebase_version_info(const char *request, const int request_len); 

//查询人脸信息.
int query_face_info_by_faceid(const char *request, const int request_len, char **response, int *response_len);

//查询人脸总数.
int query_facebase_total_num(char **response, int *response_len); 
#if defined(__cplusplus) /* If this is a C++ compiler, use C linkage */
}
#endif

#endif


